<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="content-type" content="text/html; charset=utf-8">
<title>WebsiteVer2/WebEnvironment/phpBB</title>
<link rel="stylesheet" type="text/css" media="all" charset="utf-8" href="modern/css/common.css">
<link rel="stylesheet" type="text/css" media="screen" charset="utf-8" href="modern/css/screen.css">
<link rel="stylesheet" type="text/css" media="print" charset="utf-8" href="modern/css/print.css">
<style type="text/css">
ul.pagetitle{
  display: inline;
  margin: 0;
  padding: 0;
  font-size: 1.5em;
}
li.pagetitle{
  display: inline;
  margin: 0;
}
td.noborder {
  border: 0;
}
</style>
</head>
<body>
<table>
<tr>
<td class="noborder">
<img src="logo.png">
</td>
<td class="noborder">
<ul class="pagetitle">
<li class="pagetitle"><a class="backlink">WebsiteVer2/WebEnvironment/phpBB</a>
</ul>
<br><br>
[<a href="FrontPage.html">FrontPage</a>]&nbsp;[<a href="TitleIndex.html">TitleIndex</a>]&nbsp;[<a href="WordIndex.html">WordIndex</a>]&nbsp;
</td>
</tr>
</table>
<hr>
<div id="page"><h1 style="background-color:Red; color:White">This is a read-only <a href="https://gitlab.com/CentOS/docs/wiki_archives">archived version</a> of wiki.centos.org</h1>
<div dir="ltr" id="content" lang="en"><span class="anchor" id="top"></span>
<span class="anchor" id="line-1"></span><p class="line867">
<h1 id="phpBB_customization">phpBB customization</h1>
<span class="anchor" id="line-2"></span><span class="anchor" id="line-3"></span><p class="line867"><a class="http" href="http://www.phpbb.org/">phpBB</a> is the application used by CentOS to manage Forums. <span class="anchor" id="line-4"></span><span class="anchor" id="line-5"></span><p class="line862">Before installing this phpBB customization you need to install the  <a href="./WebsiteVer2(2f)WebEnvironment(2f)Apache.html">httpd customization</a>. <span class="anchor" id="line-6"></span><span class="anchor" id="line-7"></span><p class="line867">
<h2 id="Screenshots">1. Screenshots</h2>
<span class="anchor" id="line-8"></span><span class="anchor" id="line-9"></span><p class="line874">The following phpBB 3.0.4 customization is available:  <span class="anchor" id="line-10"></span><span class="anchor" id="line-11"></span><div><table><tbody><tr>  <td><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-438.png" title="{{attachment:Screenshot-438.png||width=200}}"><img alt="attachment:Screenshot-438.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-438.png" title="attachment:Screenshot-438.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-439.png" title="{{attachment:Screenshot-439.png||width=200}}"><img alt="attachment:Screenshot-439.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-439.png" title="attachment:Screenshot-439.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-440.png" title="{{attachment:Screenshot-440.png||width=200}}"><img alt="attachment:Screenshot-440.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-440.png" title="attachment:Screenshot-440.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-441.png" title="{{attachment:Screenshot-441.png||width=200}}"><img alt="attachment:Screenshot-441.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-441.png" title="attachment:Screenshot-441.png" width="200" /></a> </td>
</tr>
<tr>  <td><span class="anchor" id="line-12"></span><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-442.png" title="{{attachment:Screenshot-442.png||width=200}}"><img alt="attachment:Screenshot-442.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-442.png" title="attachment:Screenshot-442.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-443.png" title="{{attachment:Screenshot-443.png||width=200}}"><img alt="attachment:Screenshot-443.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-443.png" title="attachment:Screenshot-443.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-444.png" title="{{attachment:Screenshot-444.png||width=200}}"><img alt="attachment:Screenshot-444.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-444.png" title="attachment:Screenshot-444.png" width="200" /></a> </td>
  <td colspan="2" style="text-align: center"><p class="line862"> <a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-445.png" title="{{attachment:Screenshot-445.png||width=200}}"><img alt="attachment:Screenshot-445.png" class="attachment" src="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/Screenshot-445.png" title="attachment:Screenshot-445.png" width="200" /></a> </td>
</tr>
</tbody></table></div><span class="anchor" id="line-13"></span><span class="anchor" id="line-14"></span><p class="line874">Here are two customizations really. One for phpBB general interface and other for phpBB administration control panel (ACP) interface (which also includes the customization of phpBB installation interface). <span class="anchor" id="line-15"></span><span class="anchor" id="line-16"></span><p class="line867">
<h2 id="phpBB_general_interface_customization">2. phpBB general interface customization</h2>
<span class="anchor" id="line-17"></span><span class="anchor" id="line-18"></span><p class="line867"><a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/modern-1.tar.gz" title="">modern-1.tar.gz</a> (<tt class="backtick">md5:&nbsp;75f56699fcdbeee2cfd96df7dbe33f60</tt>) <span class="anchor" id="line-19"></span><span class="anchor" id="line-20"></span><ol type="1"><li><p class="line862">Unpack this customization inside <tt class="backtick">${phpBB-path}/styles/</tt> directory. <span class="anchor" id="line-21"></span></li><li>Use phpBB administration control panel to install the new theme. <span class="anchor" id="line-22"></span><span class="anchor" id="line-23"></span></li></ol><p class="line867">
<h2 id="phpBB_ACP_interface_customization">3. phpBB ACP interface customization</h2>
<span class="anchor" id="line-24"></span><span class="anchor" id="line-25"></span><p class="line867"><a class="attachment" href="attachments/WebsiteVer2(2f)WebEnvironment(2f)phpBB/modern-adm-1.tar.gz" title="">modern-adm-1.tar.gz</a> (<tt class="backtick">md5:&nbsp;5bc2262fb11b91755d06c43716bf7b86</tt>) <span class="anchor" id="line-26"></span><span class="anchor" id="line-27"></span><ol type="1"><li><p class="line862">Unpack this customization inside <tt class="backtick">${phpBB-path}/</tt> directory. <span class="anchor" id="line-28"></span><span class="anchor" id="line-29"></span></li></ol><p class="line862">If you don't see the changes after reloading the page, please remove the content inside <tt class="backtick">${phpBB-path}/cache/</tt> directory and try again. <span class="anchor" id="line-30"></span><span class="anchor" id="bottom"></span></div>
</div>
<hr>
2023-09-11 07:23
</body>
</html>
